#!/bin/bash
NAME="shine"
VERSION="0.0.4"

cd "$(dirname "$(readlink $0)")"
case "$1" in
"test")
    "$0" build "$2"
    if [[ -x $(which $BROWSER) ]]; then
        $BROWSER $NAME-$VERSION.html &> /dev/null
    else
        xdg-open $NAME-$VERSION.html &> /dev/null
    fi
    ;;
"dist")
    "$0" build
    mkdir $NAME-$VERSION
    ln -s -t $NAME-$VERSION \
     ../img ../lib ../src ../targets \
     ../project.sh ../$NAME.js ../$NAME-$VERSION.html
    zip -r $NAME-$VERSION.zip $NAME-$VERSION
    rm -r $NAME-$VERSION
    ;;
"build")
    cat $(find src/es6 -type f) > /tmp/$NAME-es6.js
    traceur --experimental --atscript --out /tmp/$NAME.js --script \
     /tmp/$NAME-es6.js
    cat lib/js/sugar.min.js lib/js/traceur-runtime.js /tmp/$NAME.js > $NAME.js
    echo ":: 100-style [stylesheet]" | cat - src/$NAME.css > /tmp/$NAME-css.tw
    [[ -n "$2" ]] && START="-s $2"
    tweego -t sugarcube $START $(find . -name '*.tw') /tmp/$NAME-css.tw \
     -o $NAME-$VERSION.html
    ;;
*)
    echo "Specify one of the following:"
    echo "  build: compile the story to .html"
    echo "  test:  test run the story in a browser"
    echo "  dist:  build, then zip up this directory"
    echo "build and test let you also specify the start passage."
esac
