window.getChars = () => getVars().chars;
window.getPlayer = () => getVars().player;

window.weapons = {};

class Character extends Combatant {
    constructor (obj) {
        super(obj);
        this.lastName = this.fullName.words()[0];
    }
    
    get level ()      { return getVars().level; }
    get baseMaxTP ()  { return getVars().maxTP; }
    
    get statRow ()  { return $(".statRow." + this.id); }
    
    get hp ()  { return this._hp; }
    get tp ()  { return this._tp; }
    
    set hp (value) {
        this._hp = value;
        var sel = this.statRow.find(".hp.stat");
        sel.text(this._hp);
        if (this._hp == this.maxHP) {
            sel.addClass("full").removeClass("low");
        } else if (this._hp <= this.maxHP / 4) {
            sel.addClass("low").removeClass("full");
        } else {
            sel.removeClass("full low");
        }
    }
    set tp (value) {
        this._tp = value;
        var sel = this.statRow.find(".tp.stat");
        sel.text(this._tp);
        if (this._tp == this.maxTP) {
            sel.addClass("full").removeClass("low");
        } else if (this._tp <= this.maxTP / 4) {
            sel.addClass("low").removeClass("full");
        } else {
            sel.removeClass("full low");
        }
    }
}

// Standard story properties.
Character.prototype.id = "";
Character.prototype.name = "";
Character.prototype.lastName = "";
Character.prototype.fullName = "";
Character.prototype.gender = "m";
Character.prototype.invItem = "Bag of Holding";
Character.prototype.invIn = "in your Bag of Holding";
Character.prototype.invUsed = false;
Character.prototype.invGetMsg = "You put %loot% in your Bag of Holding.";
Character.prototype.invFirstGet =
 "You put %loot% in your ordinary Bag of Holding.";

// Story stats.
Character.prototype.pul = 100;
Character.prototype.asp = 100;
Character.prototype.sop = 100;
Character.prototype.pro = 100;
Character.prototype.her = 100;
Character.prototype.spi = 100;
Character.prototype.cun = 100;

window.setParty = (members) => {
    if (!members) members = [];
    getVars().party = members;
    $("#partyStats").toggle(getVars().showStats && members.length > 0);
    $("#bgContainer").toggle(getVars().burstGaugeEnabled);
    $("#pStats3").toggle(members.length > 2).removeClass().addClass("statRow");
    $("#pStats2").toggle(members.length > 1).removeClass().addClass("statRow");
    $("#pStats1").toggle(members.length > 0).removeClass().addClass("statRow");
    if (members.length > 0) {
        $("#pName1").text(members[0].name);
        $("#pStats1").addClass(members[0].id);
        members[0].hp += 0;
        members[0].tp += 0;
    }
    if (members.length > 1) {
        $("#pName2").text(members[1].name);
        $("#pStats2").addClass(members[1].id);
        members[1].hp += 0;
        members[1].tp += 0;
    }
    if (members.length > 2) {
        $("#pName3").text(members[2].name);
        $("#pStats3").addClass(members[2].id);
        members[2].hp += 0;
        members[2].tp += 0;
    }
}
