class Combatant {
    constructor (obj) {
        Object.merge(this, obj);
        if (!this.name) this.name = this.fullName.words()[0];
        if (!this.id) this.id = this.name.toLowerCase()
        if (!this.equipment) this.equipment = [];
        this.hp = this.maxHP;
        this.tp = this.maxTP;
    }
    
    getStat (stat) {
        var retval = this["base" + stat] * (this["scalar" + stat] ?
         this["scalar" + stat] : this.scalar).pow(this.level - 1);
        for (e of this.equipment) {
            retval *= e.getMult(stat);
            retval += e.getAdd(stat);
        }
        if (this.weapon) {
            retval *= this.weapon.getMult(stat);
            retval += this.weapon.getAdd(stat);
        }
        return retval.floor();
    }
    
    get maxHP ()  { return this.getStat("MaxHP"); }
    get maxTP ()  { return this.getStat("MaxTP"); }
    get str ()    { return this.getStat("Str"); }
    get spr ()    { return this.getStat("Spr"); }
    get atk ()    { return this.getStat("Atk"); }
    get def ()    { return this.getStat("Def"); }
    get agi ()    { return this.getStat("Agi"); }
}

// Base stats.
Combatant.prototype.baseMaxHP = 1200;
Combatant.prototype.baseStr = 100;
Combatant.prototype.baseSpr = 100;
Combatant.prototype.baseAtk = 100;
Combatant.prototype.baseDef = 100;
Combatant.prototype.baseAgi = 100;
Combatant.prototype.scalar = 1.04;
Combatant.prototype.scalarAgi = 1.005;
