window.getInv = () => SugarCube.state.active.variables.inv;

// Gald functions.
window.gldGet   = amt => getInv().gld += amt;
window.gldDrop  = amt => getInv().gld -= amt;
window.gldCount = amt => getInv().gld;

// Core inventory handler functions.
window.invGet = (sub, itm, count) => {
    count = typeof count !== "undefined" ? count : 1;
    if (getInv()[sub][itm] !== undefined)
        getInv()[sub][itm] += count;
    else
        getInv()[sub][itm] = count;
};
window.invDrop = (sub, itm, count) => {
    count = typeof count !== "undefined" ? count : 1;
    if (getInv()[sub][itm] !== undefined)
        getInv()[sub][itm] -= count;
    else
        getInv()[sub][itm] = 0;
};
window.invCount = (sub, itm) => getInv()[sub][itm];

// An object is the same as a key item, basically.
window.objGet   = (itm, count) => invGet("obj", itm, count);
window.objDrop  = (itm, count) => invDrop("obj", itm, count);
window.objCount = itm => invCount("obj", itm); 
window.objHas   = itm => invCount("obj", itm) > 0; 

// An item is a consumable, like Apple Gels.
window.itmGet   = (itm, count) => invGet("itm", itm, count);
window.itmDrop  = (itm, count) => invDrop("itm", itm, count);
window.itmCount = itm => invCount("itm", itm);
window.itmHas   = itm => invCount("itm", itm) > 0;

// Accessories can modify any stat, and are equippable by anyone.
window.accGet   = (itm, count) => invGet("acc", itm, count);
window.accDrop  = (itm, count) => invDrop("acc", itm, count);
window.accCount = itm => invCount("acc", itm);
window.accHas   = itm => invCount("acc", itm) > 0;

// A weapon has further sub-arrays because each weapon can be used
// by only one character. There is no count parameter for get because you will
// basically never give more than one weapon at a time in any situation.
window.wpnGet  = (char, itm) => getInv().wpn[char][itm] = true;
window.wpnDrop = (char, itm) => getInv().wpn[char][itm] = false;
window.wpnHas  = itm => getInv().wpn[char][itm];

// Show player's get msg.
window.invGetMsg = loot => {
    var player = SugarCube.state.active.variables.player;
    var retval = (player.invUsed ? player.invGetMsg :
     player.invFirstGet).replace("%loot%", loot);
    player.invUsed = true;
    return retval;
};
