// The reason objects don't have programmatic objects associated with them is
// because nearly all of their functionality is in the passages. Whatever it is
// they do, they do it in the passages. So all they need here are their names
// for the inventory.
window.objNames = {
    nigel         : "Nigel",
    nadine        : "Nadine",
    pyralspite    : "Pyralspite",
    lemonsnout    : "Lemonsnout",
    ellieCpu      : "Ellie's Laptop",
};
window.objName = itm => objNames[itm];

// Everything else is different.
window.items = {
    /*
    "item" : {
        // Undefined properties are unused.
        "name"   : "Item's Name",
        "desc"   : "Item's description",
        "target" : "ally", "allyKO", "enemy", "allyAll", or "enemyAll"
        "usable" : "field", "battle", or null for all
        "hpGain" : percentage of HP to gain,
        "tpGain" : static TP increase,
        "bgGain" : static Burst Gauge increase,
        "revive" : true or false to revive from KO,
        "damage" : damage to deal to enemy,
        "dType"  : "phys", "mag", or "hybrid",
        "dElem"  : "fwaeld", string containing attack elements,
    }
    */
    appleGel : {
        name   : "Apple Gel",
        desc   : "Restores 30% HP to ally.",
        target : "ally",
        hpGain : 0.3,
    },
    lemonGel : {
        name   : "Lemon Gel",
        desc   : "Restores 60% HP to ally.",
        target : "ally",
        hpGain : 0.6,
    },
    orangeGel : {
        name   : "Orange Gel",
        desc   : "Gives 25 TP to ally.",
        target : "ally",
        tpGain : 25,
    },
    pineappleGel : {
        name   : "Pineapple Gel",
        desc   : "Gives 50 TP to ally.",
        target : "ally",
        tpGain : 25,
    },
    melangeGel : {
        name   : "Melange Gel",
        desc   : "Gives 30% HP and 25 TP to ally.",
        target : "ally",
        hpGain : .3,
        tpGain : 25,
    },
    miracleGel : {
        name   : "Miracle Gel",
        desc   : "Gives 60% HP and 50 TP to ally.",
        target : "ally",
        hpGain : .6,
        tpGain : 50,
    },
    lifeBottle : {
        name   : "Life Bottle",
        desc   : "Revives KO'd ally and restores 25% HP.",
        target : "allyKO",
        hpGain : 0.25,
        revive : true,
    },
    elixir : {
        // Behavior consistent with Tales of Xillia's elixir.
        name   : "Elixir",
        desc   : "Revives and gives 100% HP and 100 TP.",
        target : "ally",
        hpGain : 1,
        tpGain : 100,
        revive : true,
    },
};
window.itmName = itm => items[itm]["name"];
